Skip to Content

List contact connections

Lists the contact credentials connected for this organization. An administrator can disconnect each account by accountId.

GET
/v1/accounts/contact-connections

Lists the contact credentials connected for this organization. An administrator can disconnect each account by accountId.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

provider?string
Match^[a-z0-9][a-z0-9_-]{0,63}$

Response Body

Success

application/json
  1. response
items*array<>
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.accounts.listContactConnections({});
Example Response
{
  "items": [
    {
      "organizationId": "string",
      "integrationId": "string",
      "contactId": "string",
      "accountId": "string",
      "provider": "string",
      "info": {
        "externalId": "string",
        "displayName": "string",
        "email": "string",
        "verifiedEmail": "string",
        "timeZone": "string"
      },
      "lastUsedAt": "string",
      "idleExpiresAt": "string",
      "createdAt": "string"
    }
  ]
}

Related documentation